# InternalActionEnum enum Null safety

## Constants

goHome → const InternalActionEnum
  `const InternalActionEnum(2)`
login → const InternalActionEnum
  `const InternalActionEnum(0)`
logout → const InternalActionEnum
  `const InternalActionEnum(1)`
otherApps → const InternalActionEnum
  `const InternalActionEnum(3)`
unknown → const InternalActionEnum
  `const InternalActionEnum(4)`
values → const List<InternalActionEnum>

  A constant List of the values in this enum, in order of their declaration.

  `const List<InternalActionEnum>`

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
index → int

  The integer index of this enum.

  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited